### Method

# GUPnP ResourceFactory unregister_resource_type

#### Declaration [src]

    gboolean
    gupnp_resource_factory_unregister_resource_type (
      GUPnPResourceFactory* factory,
      const char* upnp_type
    )

#### Description [src]

Unregisters the GType assignment for the resource of UPnP type `upnp_type`.

#### Parameters

`upnp_type`

  Type: `const char*`

  The UPnP type name of the resource.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if GType assignment was removed successfully, `FALSE` otherwise.